# $Revision: 1.4 $, $Date: 2001/08/28 08:57:59 $
%include        /usr/lib/rpm/macros.perl
Summary:	LDAP query script for Mutt
Name:		mutt_ldap_query
Version:	0.9
Release:	2
License:	GPL
Group:		Applications/Mail
Group(de):	Applikationen/Post
Group(pl):	Aplikacje/Poczta
Group(pt):	Aplicaes/Correio Eletrnico
Source0:	%{name}.pl
BuildArch:	noarch
Requires:	mutt
Requires:	iconv
Requires:	openldap
BuildRequires:	rpm-perlprov
Prereq:		/bin/egrep
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a simple script, which can be used as Mutt external query
command. After installing this package you can use Mutt's "Q" command
to query LDAP database, or "^T" when Mutt asks you for email address.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}

%post
# check if any query_command is already set
if ! egrep -q "^[[:space:]]*set[[:space:]]+query_command" /etc/Muttrc ; then
	cat >> /etc/Muttrc <<EOF;
set query_command="%{_bindir}/mutt_ldap_query.pl \"\`echo '%s'| iconv -f iso-8859-2 -t utf-8\`\" | iconv -f utf8 -t iso-8859-2"
EOF
fi

%preun
# check if query command is set to mutt_ldap_query
if egrep -q "^[[:space:]]*set[[:space:]]+query_command.*%{_bindir}/mutt_ldap_query.pl" /etc/Muttrc ; then
	mv -f /etc/Muttrc /etc/Muttrc.bak && \
	egrep -v "^[[:space:]]*set[[:space:]]+query_command.*%{_bindir}/mutt_ldap_query.pl" \
		/etc/Muttrc.bak > /etc/Muttrc
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached on <cvs_login>@pld.org.pl

$Log: mutt_ldap_query.spec,v $
Revision 1.4  2001/08/28 08:57:59  kloczek
- spec adapterized.

Revision 1.3  2001/04/17 12:04:50  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.2  2000/09/12 15:45:33  kloczek
- adapterized.

Revision 1.1  2000/09/12 13:55:37  jajcus
- initial spec


